#include <bits/stdc++.h>
using namespace std;

int n,in,r1,r2,m,mp;
vector<int> v;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>in;
        v.push_back(in);
    }
    r2=n-1,r1=n-2;
    if(v[r2]>=v[r1])
    {
        m=v[r2],mp=r2;
    }
    else
    {
        m=v[r1],mp=r1;
    }
    for(int i=n-3;i>=0;i--)
    {
        if(m>v[i])
        {
            r1=i,r2=mp;
        }
        else if(m==v[i] && v[r1]>v[r2])
        {
            r1=i,r2=mp;
        }
        if(v[i]>m)
        {
            m=v[i],mp=i;
        }
    }
    swap(v[r1],v[r2]);
    for(auto i:v)
    {
        cout<<i<<" ";
    }
}